This toolbox uses the Google Earth Engine Python API to explore collections of publicly available satellite imagery (Landsat, Sentinel).

It has .py routines to:
- read and preprocess satellite images (cloud masking, contrast stretching)
- pansharpen Landsat 8 images
- extract shorelines with the Marching Squares algorithm
- classify image in 4 classes (sand, whitewater, water, other) using a Neural Network classifier

Requirements: all the packages contained in py3_environments.txt